petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSFSetFromOptions

set PetscSF options using the options database

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetFromOptions(PetscSF sf)

Logically Collective

### Input Arguments

sf -star forest

### Options Database Keys

| -sf_type | - implementation type, see PetscSFSetType()
| -sf_rank_order | - sort composite points for gathers and scatters in rank order, gathers are non-deterministic otherwise

### Keywords

KSP, set, from, options, database

### See Also

PetscSFWindowSetSyncType()

Level:intermediate
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html